Categories:
  - Connectivity
  - Phone & SMS
License: AGPL-3.0-or-later
WebSite: https://simplex.chat/
SourceCode: https://github.com/simplex-chat/simplex-chat
IssueTracker: https://github.com/simplex-chat/simplex-chat/issues

RepoType: git
Repo: https://github.com/simplex-chat/simplex-chat.git

Builds:
  - versionName: 4.3.1
    versionCode: 77
    commit: 3a5bf004691bf0ab1f4fc640ef58cad36e3d21e7
    timeout: 30000
    sudo:
      - apt-get update
      - apt-get install -y xz-utils zipalign
      - mkdir -m 0755 /nix
      - chown vagrant /nix
      - chown -R vagrant /tmp
    output: ./simplex-chat.apk
    prebuild:
      - sed -i -e 's/extra-substituters/#extra-substituters/' -e 's/trusted-public-keys/#trusted-public-keys/'
        ./scripts/android/build-android.sh
      - mv apps/android/gradle .
    build:
      - export USER=vagrant
      - ./scripts/android/build-android.sh -s $$COMMIT$$

  - versionName: 4.3.2
    versionCode: 78
    commit: bb4582109d119d4daf8081561b69504debdc573d
    timeout: 30000
    sudo:
      - apt-get update
      - apt-get install -y xz-utils zipalign
      - mkdir -m 0755 /nix
      - chown vagrant /nix
      - chown -R vagrant /tmp
    output: ./simplex-chat.apk
    prebuild:
      - sed -i -e 's/extra-substituters/#extra-substituters/' -e 's/trusted-public-keys/#trusted-public-keys/'
        ./scripts/android/build-android.sh
      - mv apps/android/gradle .
    build:
      - export USER=vagrant
      - ./scripts/android/build-android.sh -s $$COMMIT$$

  - versionName: '4.4'
    versionCode: 84
    commit: 15884c01698987a7841a970c7e335ff260c485fd
    timeout: 30000
    sudo:
      - apt-get update
      - apt-get install -y xz-utils zipalign
      - mkdir -m 0755 /nix
      - chown vagrant /nix
      - chown -R vagrant /tmp
    output: ./simplex-chat.apk
    prebuild:
      - mv apps/android/gradle .
      - sed -i -e '/android {/a lint {abortOnError false}' apps/android/app/build.gradle
    build:
      - export USER=vagrant
      - ./scripts/android/build-android.sh -s $$COMMIT$$

  - versionName: 4.4.2
    versionCode: 88
    commit: e73f5c40cf3bbbdd0715d3106962c24e455cb673
    timeout: 30000
    sudo:
      - apt-get update
      - apt-get install -y xz-utils zipalign
      - mkdir -m 0755 /nix
      - chown vagrant /nix
      - chown -R vagrant /tmp
    output: ./simplex-chat.apk
    prebuild:
      - mv apps/android/gradle .
      - sed -i -e '/android {/a lint {abortOnError false}' apps/android/app/build.gradle
    build:
      - export USER=vagrant
      - ./scripts/android/build-android.sh -s $$COMMIT$$

  - versionName: 4.4.3
    versionCode: 89
    commit: 9dad55ce8d7be5b2e2e32e13e818203e96add4bd
    timeout: 30000
    sudo:
      - apt-get update
      - apt-get install -y xz-utils zipalign
      - mkdir -m 0755 /nix
      - chown vagrant /nix
      - chown -R vagrant /tmp
    output: ./simplex-chat.apk
    prebuild:
      - mv apps/android/gradle .
      - sed -i -e '/android {/a lint {abortOnError false}' apps/android/app/build.gradle
    build:
      - export USER=vagrant
      - ./scripts/android/build-android.sh -s $$COMMIT$$

  - versionName: 4.4.4
    versionCode: 92
    commit: b0277088289b40ea03d2a9f86f0058ac9e0a582c
    timeout: 30000
    sudo:
      - apt-get update
      - apt-get install -y xz-utils zipalign
      - mkdir -m 0755 /nix
      - chown vagrant /nix
      - chown -R vagrant /tmp
    output: ./simplex-chat.apk
    prebuild:
      - mv apps/android/gradle .
      - sed -i -e '/android {/a lint {abortOnError false}' apps/android/app/build.gradle
    build:
      - export USER=vagrant
      - ./scripts/android/build-android.sh -s $$COMMIT$$

  - versionName: '4.5'
    versionCode: 98
    commit: c90d911d2abcec5574bb3caf4217815f3967e567
    timeout: 30000
    sudo:
      - apt-get update
      - apt-get install -y xz-utils zipalign
      - mkdir -m 0755 /nix
      - chown vagrant /nix
      - chown -R vagrant /tmp
    output: ./simplex-chat.apk
    prebuild:
      - mv apps/android/gradle .
      - sed -i -e '/android {/a lint {abortOnError false}' apps/android/app/build.gradle
    build:
      - export USER=vagrant
      - ./scripts/android/build-android.sh -s $$COMMIT$$

  - versionName: 4.5.1
    versionCode: 99
    commit: d9a8d333f7fbf919883d75e466704b001ac63424
    timeout: 30000
    sudo:
      - apt-get update
      - apt-get install -y xz-utils zipalign
      - mkdir -m 0755 /nix
      - chown vagrant /nix
      - chown -R vagrant /tmp
    output: ./simplex-chat.apk
    prebuild:
      - mv apps/android/gradle .
      - sed -i -e '/android {/a lint {abortOnError false}' apps/android/app/build.gradle
    build:
      - export USER=vagrant
      - ./scripts/android/build-android.sh -s $$COMMIT$$

  - versionName: 4.5.2
    versionCode: 100
    commit: 6f68840b3a915c9163edafd2fbecd29dacbca502
    timeout: 30000
    sudo:
      - apt-get update
      - apt-get install -y xz-utils zipalign
      - mkdir -m 0755 /nix
      - chown vagrant /nix
      - chown -R vagrant /tmp
    output: ./simplex-chat.apk
    prebuild:
      - mv apps/android/gradle .
      - sed -i -e '/android {/a lint {abortOnError false}' apps/android/app/build.gradle
    build:
      - export USER=vagrant
      - ./scripts/android/build-android.sh -s $$COMMIT$$

  - versionName: 4.5.3
    versionCode: 102
    commit: 41c9c841390639ae68df30adb547a225ebb9e306
    timeout: 30000
    sudo:
      - apt-get update
      - apt-get install -y xz-utils zipalign
      - mkdir -m 0755 /nix
      - chown vagrant /nix
      - chown -R vagrant /tmp
    output: ./simplex-chat.apk
    prebuild:
      - mv apps/android/gradle .
      - sed -i -e '/android {/a lint {abortOnError false}' apps/android/app/build.gradle
    build:
      - export USER=vagrant
      - ./scripts/android/build-android.sh -s $$COMMIT$$

  - versionName: 4.5.4
    versionCode: 103
    commit: 498ffe8a7193de8b1d74ffa081abef30c30ef542
    timeout: 30000
    sudo:
      - apt-get update
      - apt-get install -y xz-utils zipalign
      - mkdir -m 0755 /nix
      - chown vagrant /nix
      - chown -R vagrant /tmp
    output: ./simplex-chat.apk
    prebuild:
      - mv apps/android/gradle .
      - sed -i -e '/android {/a lint {abortOnError false}' apps/android/app/build.gradle
    build:
      - export USER=vagrant
      - ./scripts/android/build-android.sh -s $$COMMIT$$

  - versionName: 4.6.1
    versionCode: 112
    commit: 834487e54852b2aa48b4aafb9a3152e413a3eb02
    timeout: 60000
    sudo:
      - apt-get update
      - apt-get install -y xz-utils zipalign
      - mkdir -m 0755 /nix
      - chown vagrant /nix
      - chown -R vagrant /tmp
    output: ./simplex-chat-armv7.apk
    prebuild:
      - mv apps/android/gradle .
      - sed -i -e 's/versionCode .*/versionCode $$VERCODE$$/' apps/android/app/build.gradle
    build:
      - export USER=vagrant
      - ./scripts/android/build-android.sh -s $$COMMIT$$

  - versionName: 4.6.1
    versionCode: 113
    commit: 834487e54852b2aa48b4aafb9a3152e413a3eb02
    timeout: 60000
    sudo:
      - apt-get update
      - apt-get install -y xz-utils zipalign
      - mkdir -m 0755 /nix
      - chown vagrant /nix
      - chown -R vagrant /tmp
    output: ./simplex-chat-aarch64.apk
    prebuild:
      - mv apps/android/gradle .
      - sed -i -e 's/versionCode .*/versionCode $$VERCODE$$/' apps/android/app/build.gradle
    build:
      - export USER=vagrant
      - ./scripts/android/build-android.sh -s $$COMMIT$$

  - versionName: '5.0'
    versionCode: 117
    commit: c8721e80004dbd24f0c46718b02542228e4de4f2
    timeout: 60000
    sudo:
      - apt-get update
      - apt-get install -y xz-utils zipalign
      - mkdir -m 0755 /nix
      - chown vagrant /nix
      - chown -R vagrant /tmp
    output: ./simplex-chat-armv7.apk
    prebuild:
      - mv apps/android/gradle .
      - sed -i -e 's/versionCode .*/versionCode $$VERCODE$$/' apps/android/app/build.gradle
      - sed -i -e '/android {/a lint {abortOnError false}' apps/android/app/build.gradle
    build:
      - export USER=vagrant
      - ./scripts/android/build-android.sh -s $$COMMIT$$

  - versionName: '5.0'
    versionCode: 118
    commit: c8721e80004dbd24f0c46718b02542228e4de4f2
    timeout: 60000
    sudo:
      - apt-get update
      - apt-get install -y xz-utils zipalign
      - mkdir -m 0755 /nix
      - chown vagrant /nix
      - chown -R vagrant /tmp
    output: ./simplex-chat-aarch64.apk
    prebuild:
      - mv apps/android/gradle .
      - sed -i -e 's/versionCode .*/versionCode $$VERCODE$$/' apps/android/app/build.gradle
      - sed -i -e '/android {/a lint {abortOnError false}' apps/android/app/build.gradle
    build:
      - export USER=vagrant
      - ./scripts/android/build-android.sh -s $$COMMIT$$

  - versionName: '5.1'
    versionCode: 121
    commit: c10a4346a9563bdd1cd3f41ff551d1e145090bd4
    timeout: 60000
    sudo:
      - apt-get update
      - apt-get install -y xz-utils zipalign
      - mkdir -m 0755 /nix
      - chown vagrant /nix
      - chown -R vagrant /tmp
    output: ./simplex-chat-armv7.apk
    rm:
      - docs/themes/simplex-chat.sample.zip
    prebuild:
      - mv apps/android/gradle .
      - sed -i -e 's/versionCode .*/versionCode $$VERCODE$$/' apps/android/app/build.gradle
      - sed -i -e '/android {/a lint {abortOnError false}' apps/android/app/build.gradle
    build:
      - export USER=vagrant
      - ./scripts/android/build-android.sh -s $$COMMIT$$

  - versionName: '5.1'
    versionCode: 122
    commit: c10a4346a9563bdd1cd3f41ff551d1e145090bd4
    timeout: 60000
    sudo:
      - apt-get update
      - apt-get install -y xz-utils zipalign
      - mkdir -m 0755 /nix
      - chown vagrant /nix
      - chown -R vagrant /tmp
    output: ./simplex-chat-aarch64.apk
    rm:
      - docs/themes/simplex-chat.sample.zip
    prebuild:
      - mv apps/android/gradle .
      - sed -i -e 's/versionCode .*/versionCode $$VERCODE$$/' apps/android/app/build.gradle
      - sed -i -e '/android {/a lint {abortOnError false}' apps/android/app/build.gradle
    build:
      - export USER=vagrant
      - ./scripts/android/build-android.sh -s $$COMMIT$$

AutoUpdateMode: Version
UpdateCheckMode: Tags ^v[\d.]+$
VercodeOperation:
  - '%c'
  - '%c+1'
CurrentVersion: '5.1'
CurrentVersionCode: 122
